DELETE/api/v1/me/contacts/:contactId解绑一个联系方式

解除指定联系方式;解绑后该手机号 / 邮箱不能再用于登录。

Request

Headers

NameData TypeRequiredDescription
AuthorizationstringYes会话令牌认证,格式 `Bearer <sessionToken>`
type RequestHeaders = {
  /** 会话令牌认证,格式 `Bearer <sessionToken>` */
  Authorization: string
}

URL Parameters

Name Data Type Description
contactId string 联系方式 ID

Response

Body

result type: null

HTTP Code

HTTP Status Meaning Notes
200 成功 联系方式已解绑

Response Code

响应使用统一信封 {id, code, messages, result},其 code 字段:

code Meaning Notes
0 成功 联系方式已解绑

Examples

DELETE /api/v1/me/contacts/01JD8SNP7N9R2W8YR3V6YEL0W4G
Authorization: Bearer st_7c1f9e05b28d4a63
{
  "id": "01JD8SOFKZ4G7H3NH",
  "code": 0,
  "messages": [],
  "result": null
}

Remarks

当账号除该联系方式外没有任何可用凭据(无密码、无其他联系方式、无三方)时拒绝解绑,避免账号失联(共享码 1005)。